# (NEW!) Retrieve an Asset Retrieves an asset's details and metadata by specifying an Asset Identifier or File Identifier in the request path. The user requesting the Asset must have view access to the Asset. Endpoint: GET /assets/asset/{id} Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `Content-Type` (string, required) Enum: "application/json" ## Path parameters: - `id` (string, required) The Asset Identifier (same as objectId) to retrieve. ## Query parameters: - `empty` (boolean) Default is true. When false, results will not include metadata without values, when true all metadata attributes for the asset will be returned even those with no values provided. - `system` (boolean) Default is true. When false, system metadata fields will be excluded from the metadata array that is returned in the response. ## Response 200 fields (application/json): - `status` (string) Response Status indicator returned by Tenovos Example: "success" - `message` (string) Message indicated whether the asset was successfully created or not. Example: "Asset created successfully" - `data` (object) - `data.createdDate` (string) System date/time of when the Asset was created Example: "2024-06-10T12:13:23.782Z" - `data.lastUpdatedDate` (string) System date/time that the Asset was last updated. Example: "2024-07-12T18:42:01.102Z" - `data.fileId` (string) Tenovos generated unique identifier of the content/file Example: "0fcb5eb4-5e0e-4ffa-8780-9206a0f833f1" - `data.filename` (string) Name of the file at the time of creation, or the placeholder value of a metadata-only Asset. Example: "hooli-logo.jpg" - `data.fileSizeInBytes` (integer) Provides the original file size in bytes. Example: 209743 - `data.originalFileId` (string) Tenovos generated unique identifier of the original content/file. Provided for versioning purposes. Example: "0fcb5eb4-5e0e-4ffa-8780-9206a0f833f1" - `data.createdBy` (string) Unique Identifier of the Tenovos user who created the Asset. Example: "ffc1f0c6-3a6d-474d-8e24-3ccda6be27a2" - `data.lastUpdatedBy` (string) Example: "ffc1f0c6-3a6d-474d-8e24-3ccda6be27a2" - `data.assetId` (string) Tenovos generated unique identifier for the new created asset. Example: "2dee909b-6b2b-4da8-96c3-af90fc1662ec" - `data.type` (string) Indicates the type of object in the system. For example, Asset is a type of object. Example: "Asset" - `data.currentVersion` (boolean) Indicates whether or not this asset is the latest version. Example: true - `data.versionNumber` (number) Example: 1718021603782 - `data.AITags` (array) - `data.metadataState` (string) Action metadata state Enum: "available", "recycle bin" - `data.metadataTemplateId` (string) Metadata Template ID Example: "ea6eb24d-adef-4380-bd02-f64f567c437f" - `data.renditionsDocument` (object) - `data.renditionsDocument.width` (number) Example: 435 - `data.renditionsDocument.height` (number) Example: 650 - `data.renditionsDocument.imageThumb` (string) S3 url to the thumbnail generated rendition of the Asset's content Example: "https://url.content.tenovos.io/1588091945183/c8aaed5c-0cba-4420-87d1-506741ed5ca9/fa0bd5a4-cd0f-410b-88b0-z1m9dac003f6-200x200.png" - `data.renditionsDocument.imagePreview` (string) S3 url to the preview generated rendition of the Asset's content Example: "https://url.content.tenovos.io/1588091945183/c8aaed5c-0cba-4420-87d1-506741ed5ca9/fa0bd5a4-cd0f-410b-88b0-z1m9dac003f6-700x700.png" - `data.renditionsDocument.mezzaninePreview` (string) S3 url to the mezzanine generated rendition of the Asset's content Example: "https://url.content.tenovos.io/1588091945183/c8aaed5c-0cba-4420-87d1-506741ed5ca9/fa0bd5a4-cd0f-410b-88b0-z1m9dac003f6-3000x3000.png" - `data.renditionsDocument.imagePreviewLarge` (string) S3 url to the large preview generated rendition of the Asset's content Example: "https://url.content.tenovos.io/1588091945183/c8aaed5c-0cba-4420-87d1-506741ed5ca9/fa0bd5a4-cd0f-410b-88b0-z1m9dac003f6-1000x1000.png" - `data.fileState` (string) Action content file state Enum: "available", "recycle bin" - `data.securityTemplateIds` (array) Example: ["46ea161d-9b06-417e-88eb-f5a4244aaed5"] - `data.avamTags` (array) - `data.lockType` (array) - `data.metadata` (array) Example: [{"name":"Release Date","value":"01/01/2024"},{"name":"Product","value":"HooliDocs"},{"name":"Usage Table","value":[[{"name":"Usage Category","value":"E-Commerce"},{"name":"Usage Length","value":"12 months"}]]}] ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)